Bug 133521 - Is recommendation of "LESSCHARSET=latin1" a good idea these days?
Is recommendation of "LESSCHARSET=latin1" a good idea these days?
Product: Fedora
Classification: Fedora
Component: man (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Eido Inoue
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-09-24 12:47 EDT by Telsa Gwynne
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.5o1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-09 20:27:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Telsa Gwynne 2004-09-24 12:47:19 EDT
Description of problem:

I've been plagued by weird characters when reading man pages
for some time. I knew that some weirdnesses were to be 
expected due to (I think) the move to UTF-8 some releases
ago. But I was still seeing more than most people.

Eventually realised that I had this in ~/.bash_profile:
..because this was a workaround recommended in the
BUGS section of "man man". (I had been having the problem
described at the time, and that had fixed it, and then I had
kept the line in my dotfiles. Since about RH 8. Oops.)

For people using UTF-8-happy locales, is this actually a
good recommendation these days? Or should it be amended?
If so, to what? (I have no clue myself.)

Version-Release number of selected component (if applicable):


How reproducible: every time

Steps to Reproduce:
1. man ping
2. LESSCHARSET="latin1" man ping
Comment 1 Eido Inoue 2004-10-21 16:56:53 EDT
there are some people that still try to run their systems in the "old"
mode. the man page says to only put the LESSCHARSET in if you see
"blinking \255 or <AD>"... so it can probably stay in there, as you
won't see these on a properly configured system, thus you wouldn't put

Note You need to log in before you can comment on or make changes to this bug.